VSTGUI: CVSTGUITimer Exception Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Types | Public Member Functions | Static Public Attributes | Protected Member Functions | Protected Attributes | List of all members
CVSTGUITimer Exception Referencefinal

A timer class, which posts timer messages to CBaseObjects or calls a lambda function (c++11 only). More...

Inheritance diagram for CVSTGUITimer:

## Public Types
using | CallbackFunc = std::function< void(CVSTGUITimer *)>

## Public Member Functions
| CVSTGUITimer (const CallbackFunc &callback, uint32_t fireTime=100, bool doStart=true)
| CVSTGUITimer (CallbackFunc &&callback, uint32_t fireTime=100, bool doStart=true)
| CVSTGUITimer (CBaseObject *timerObject, uint32_t fireTime=100, bool doStart=false)
bool | start ()
| starts the timer
bool | stop ()
| stops the timer, returns whether timer was running or not
bool | setFireTime (uint32_t newFireTime)
| set fire time in milliseconds
uint32_t | getFireTime () const
| get fire time in milliseconds
CBaseObject * | newCopy () const override
Public Member Functions inherited from CBaseObject
| CBaseObject ()=default
| ~CBaseObject () noexceptoverride=default
| CBaseObject (const CBaseObject &)
CBaseObject & | operator= (const CBaseObject &)
virtual CMessageResult | notify ([[maybe_unused]] CBaseObject *sender,[[maybe_unused]] IdStringPtr message)
Public Member Functions inherited from ReferenceCounted< T >
| ReferenceCounted ()=default
virtual | ~ReferenceCounted () noexcept=default
| ReferenceCounted (const ReferenceCounted &)
ReferenceCounted & | operator= (const ReferenceCounted &)
void | forget () override
| decrease refcount and delete object if refcount == 0
void | remember () override
| increase refcount
virtual int32_t | getNbReference () const
| get refcount

## Static Public Attributes
static IdStringPtr | kMsgTimer = "timer fired"
| message string posted to CBaseObject's notify method

## Protected Member Functions
| ~CVSTGUITimer () noexceptoverride
void | beforeDelete () override
void | fire () override

## Protected Attributes
uint32_t | fireTime
CallbackFunc | callbackFunc
PlatformTimerPtr | platformTimer

## Detailed Description

A timer class, which posts timer messages to CBaseObjects or calls a lambda function (c++11 only).

## Member Typedef Documentation

using CallbackFunc = std::function<void(CVSTGUITimer*)>

## Constructor & Destructor Documentation

CVSTGUITimer | ( | const CallbackFunc & | callback,
|  | uint32_t | fireTime = `100`,
|  | bool | doStart = `true`
| ) |  |

CVSTGUITimer | ( | CallbackFunc && | callback,
|  | uint32_t | fireTime = `100`,
|  | bool | doStart = `true`
| ) |  |

CVSTGUITimer | ( | CBaseObject * | timerObject,
|  | uint32_t | fireTime = `100`,
|  | bool | doStart = `false`
| ) |  |

~CVSTGUITimer | ( |  | ) |
| overrideprotecteddefaultnoexcept

## Member Function Documentation

void beforeDelete | ( |  | ) |
| overrideprotectedvirtual

Reimplemented from ReferenceCounted< T >.

void fire | ( |  | ) |
| overrideprotected

uint32_t getFireTime | ( |  | ) | const
| inline

get fire time in milliseconds

CBaseObject* newCopy | ( |  | ) | const
| inlineoverride

bool setFireTime | ( | uint32_t | newFireTime | ) |

set fire time in milliseconds

bool start | ( |  | ) |

starts the timer

bool stop | ( |  | ) |

stops the timer, returns whether timer was running or not

## Member Data Documentation

CallbackFunc callbackFunc
| protected

uint32_t fireTime
| protected

IdStringPtr kMsgTimer = "timer fired"
| static

message string posted to CBaseObject's notify method

PlatformTimerPtr platformTimer
| protected

The documentation for this exception was generated from the following files:

- cvstguitimer.h
- cvstguitimer.cpp